Verifications
Endpoints for managing verifications
This endpoint allows you to trigger an AnonCred verification flow.
The timeout for the verification (seconds).
30The ID of the invitation.
The ID of the contact.
The rule for the verification.
AnonCred verification flow triggered successfully
The ID of the verification
1The connection ID
bd8d1663-38ac-46c8-9314-7d26bf731c88The contact ID
The invitation ID
1The schema ID
The schema attributes for verification
The wallet ID
70b6a0d2-628a-4de6-af96-144100f74878The verification rule
no ruleAdditional metadata
The verification state
doneWhether verification is complete
falseThe verification result
falseHuman readable verification result
PendingPresentation exchange IDs
Error message if any
Creation timestamp
2025-07-08T21:54:59.969ZUpdate timestamp
2025-07-08T21:55:01.017ZBad request.
Unauthorized.
Internal server error
POST /api/v1/verifications HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 167
{
"invitation_id": 1,
"contact_id": "",
"schemas": [
{
"schema_attributes": {
"domain": {
"restrictions": [
{
"schema_id": "E8BS9Fcg3cu2m9Dwaa3hVG:2:Email:1.0"
}
]
}
}
}
],
"rule": "no rule"
}{
"verification_id": 1,
"connection_id": "bd8d1663-38ac-46c8-9314-7d26bf731c88",
"contact_id": "",
"invitation_id": 1,
"schema_id": null,
"schema_attributes": {
"domain": {
"restrictions": [
{
"schema_id": "E8BS9Fcg3cu2m9Dwaa3hVG:2:Email:1.0"
}
]
}
},
"wallet_id": "70b6a0d2-628a-4de6-af96-144100f74878",
"rule": "no rule",
"meta_data": null,
"state": null,
"complete": false,
"result": false,
"result_string": "Pending",
"result_data": null,
"presentation_exchange_id": [
"531298a5-31a6-4f2b-9dec-80c8c9e1d9de"
],
"error": "",
"created_at": "2025-07-08T21:54:59.969Z",
"updated_at": "2025-07-08T21:55:01.017Z"
}This endpoint allows you to retrieve an AnonCred verification record by its ID.
The ID of the verification.
1AnonCred verification record was retrieved
The ID of the verification
1The connection ID
bd8d1663-38ac-46c8-9314-7d26bf731c88The contact ID
The invitation ID
1The schema ID
The schema attributes for verification
The wallet ID
70b6a0d2-628a-4de6-af96-144100f74878The verification rule
no ruleAdditional metadata
The verification state
doneWhether verification is complete
falseThe verification result
falseHuman readable verification result
PendingPresentation exchange IDs
Error message if any
Creation timestamp
2025-07-08T21:54:59.969ZUpdate timestamp
2025-07-08T21:55:01.017ZBad request.
Unauthorized.
Internal server error
GET /api/v1/verifications/{verification_id} HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Accept: */*
{
"verification_id": 1,
"connection_id": "bd8d1663-38ac-46c8-9314-7d26bf731c88",
"contact_id": "",
"invitation_id": 1,
"schema_id": null,
"schema_attributes": {
"domain": {
"restrictions": [
{
"schema_id": "E8BS9Fcg3cu2m9Dwaa3hVG:2:Email:1.0"
}
]
}
},
"wallet_id": "70b6a0d2-628a-4de6-af96-144100f74878",
"rule": "no rule",
"meta_data": null,
"state": null,
"complete": false,
"result": false,
"result_string": "Pending",
"result_data": null,
"presentation_exchange_id": [
"531298a5-31a6-4f2b-9dec-80c8c9e1d9de"
],
"error": "",
"created_at": "2025-07-08T21:54:59.969Z",
"updated_at": "2025-07-08T21:55:01.017Z"
}This endpoint retrieves a JSON-LD verification by its ID using the provided API key.
The ID of the verification.
1JSON-LD verification record retrieved successfully
The ID of the verification
1The connection ID
bd8d1663-38ac-46c8-9314-7d26bf731c88The contact ID
The invitation ID
1The schema ID
The schema attributes for verification
The wallet ID
70b6a0d2-628a-4de6-af96-144100f74878The verification rule
no ruleAdditional metadata
The verification state
doneWhether verification is complete
falseThe verification result
falseHuman readable verification result
PendingPresentation exchange IDs
Error message if any
Creation timestamp
2025-07-08T21:54:59.969ZUpdate timestamp
2025-07-08T21:55:01.017ZBad request.
Unauthorized.
JSON-LD verification record not found
Internal Server Error
GET /api/v1/verifications/json-ld/{verification_id} HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Accept: */*
{
"verification_id": 1,
"connection_id": "1c50d6e1-5a43-48d8-837e-be3cbc815469",
"contact_id": "",
"invitation_id": 1,
"context": [
"https://www.w3.org/2018/credentials#VerifiableCredential",
"https://www.w3.org/2018/credentials/v1",
"https://purl.imsglobal.org/spec/vc/ob/vocab.html#OpenBadgeCredential"
],
"attributes": [
"validFrom",
{
"issuer": "name"
},
{
"credentialSubject": {
"achievement": "criteria"
}
}
],
"wallet_id": "19fa3524-2859-43e2-ac48-2136c9d8a199",
"label": "Awesome JSON-LD Credential",
"rule": "no rule",
"meta_data": null,
"state": "done",
"complete": true,
"result": true,
"result_string": "Verified",
"result_data": [
{
"@context": [
"https://www.w3.org/2018/credentials/v1",
"https://purl.imsglobal.org/spec/ob/v3p0/context-3.0.3.json",
"https://www.w3.org/ns/credentials/status/v1",
"https://w3id.org/security/suites/ed25519-2020/v1"
],
"id": "urn:uuid:e67ecd34-2891-45c5-85bd-84d1e34c0653",
"type": [
"VerifiableCredential",
"OpenBadgeCredential"
],
"issuer": {
"id": "did:indy:indicio:test:JKdq87RF5kEsfv7b8BAdqs",
"url": "https://www.awesome-issuer-url.com",
"name": "Awesome Issuer Name",
"type": [
"Profile"
],
"email": "issuer-contact@example.org",
"image": {
"id": "https://www.awesome-issuer-url.com/images/issuer-logo.png",
"type": "Image",
"caption": "Awesome Issuer Logo"
},
"description": "An awesome Issuer who Issues awesome credentials."
},
"issuanceDate": "2024-11-29T21:07:11Z",
"expirationDate": "2030-11-29T11:34:20Z",
"validFrom": "2024-11-29T11:34:20Z",
"validUntil": "2030-11-29T11:34:20Z",
"credentialSubject": {
"type": [
"AchievementSubject"
],
"achievement": {
"id": "https://example.org/achievements/degree",
"name": "Your name",
"type": [
"Achievement"
],
"image": {
"id": "https://example.org/achievements/image.png",
"type": "Image"
},
"criteria": {
"type": "Criteria",
"narrative": "Your narrative"
},
"description": "Your description"
},
"id": "did:key:z6MkfsAwW9KmjuMGjeKzYnZ9APMoa6StVxpm9TR91XZYHBKJ"
},
"credentialStatus": {
"id": "https://example.com/jsonld-status-list/tenants/19fa3524-2859-43e2-ac48-2136c9d8a199/w3c/status/0#81407",
"type": "BitstringStatusListEntry",
"statusPurpose": "revocation",
"statusListIndex": 81407,
"statusListCredential": "https://example.com/jsonld-status-list/tenants/19fa3524-2859-43e2-ac48-2136c9d8a199/w3c/status/0"
},
"proof": {
"type": "Ed25519Signature2020",
"proofPurpose": "assertionMethod",
"verificationMethod": "did:indy:indicio:test:JKdq87RF5kEsfv7b8BAdqs#assert",
"created": "2025-07-09T19:28:03.680Z",
"proofValue": "z2BjheUpL2P77hWdd1Snhw94vJzeuUoze5DTCjeHoAgYB2agA4dF1K4s3wdB2JCRS7yoXhGsk63xVBQw6aGnYV6H8"
},
"name": "New Awesome JSON-LD Credential",
"awardedDate": "2024-11-29T21:07:11Z",
"description": "Awesome Credential Description"
}
],
"presentation_exchange_id": [
"188aba4f-7fc9-4040-93fd-37530fa46027"
],
"error": "",
"created_at": "2025-07-09T19:30:24.271Z",
"updated_at": "2025-07-09T19:30:38.964Z"
}This endpoint allows you to trigger a JSON-LD verification flow.
The timeout for the verification (seconds).
30The ID of the invitation.
1The ID of the contact.
The rule for the verification.
no ruleVerification was triggered
The ID of the verification
1The connection ID
bd8d1663-38ac-46c8-9314-7d26bf731c88The contact ID
The invitation ID
1The schema ID
The schema attributes for verification
The wallet ID
70b6a0d2-628a-4de6-af96-144100f74878The verification rule
no ruleAdditional metadata
The verification state
doneWhether verification is complete
falseThe verification result
falseHuman readable verification result
PendingPresentation exchange IDs
Error message if any
Creation timestamp
2025-07-08T21:54:59.969ZUpdate timestamp
2025-07-08T21:55:01.017ZBad request.
Unauthorized.
Internal Server Error
POST /api/v1/verifications/json-ld HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 384
{
"invitation_id": 1,
"contact_id": "",
"definitions": [
{
"context": [
"https://www.w3.org/2018/credentials#VerifiableCredential",
"https://www.w3.org/2018/credentials/v1",
"https://purl.imsglobal.org/spec/vc/ob/vocab.html#OpenBadgeCredential"
],
"attributes": [
"validFrom",
{
"issuer": "name"
},
{
"credentialSubject": {
"achievement": "criteria"
}
}
],
"label": "Awesome JSON-LD Credential"
}
],
"rule": "no rule"
}{
"verification_id": 1,
"connection_id": "1c50d6e1-5a43-48d8-837e-be3cbc815469",
"contact_id": "",
"invitation_id": 1,
"context": [
"https://www.w3.org/2018/credentials#VerifiableCredential",
"https://www.w3.org/2018/credentials/v1",
"https://purl.imsglobal.org/spec/vc/ob/vocab.html#OpenBadgeCredential"
],
"attributes": [
"validFrom",
{
"issuer": "name"
},
{
"credentialSubject": {
"achievement": "criteria"
}
}
],
"wallet_id": "19fa3524-2859-43e2-ac48-2136c9d8a199",
"label": "Awesome JSON-LD Credential",
"rule": "no rule",
"meta_data": null,
"state": "done",
"complete": true,
"result": true,
"result_string": "Verified",
"result_data": [
{
"@context": [
"https://www.w3.org/2018/credentials/v1",
"https://purl.imsglobal.org/spec/ob/v3p0/context-3.0.3.json",
"https://www.w3.org/ns/credentials/status/v1",
"https://w3id.org/security/suites/ed25519-2020/v1"
],
"id": "urn:uuid:e67ecd34-2891-45c5-85bd-84d1e34c0653",
"type": [
"VerifiableCredential",
"OpenBadgeCredential"
],
"issuer": {
"id": "did:indy:indicio:test:JKdq87RF5kEsfv7b8BAdqs",
"url": "https://www.awesome-issuer-url.com",
"name": "Awesome Issuer Name",
"type": [
"Profile"
],
"email": "issuer-contact@example.org",
"image": {
"id": "https://www.awesome-issuer-url.com/images/issuer-logo.png",
"type": "Image",
"caption": "Awesome Issuer Logo"
},
"description": "An awesome Issuer who Issues awesome credentials."
},
"issuanceDate": "2024-11-29T21:07:11Z",
"expirationDate": "2030-11-29T11:34:20Z",
"validFrom": "2024-11-29T11:34:20Z",
"validUntil": "2030-11-29T11:34:20Z",
"credentialSubject": {
"type": [
"AchievementSubject"
],
"achievement": {
"id": "https://example.org/achievements/degree",
"name": "Your name",
"type": [
"Achievement"
],
"image": {
"id": "https://example.org/achievements/image.png",
"type": "Image"
},
"criteria": {
"type": "Criteria",
"narrative": "Your narrative"
},
"description": "Your description"
},
"id": "did:key:z6MkfsAwW9KmjuMGjeKzYnZ9APMoa6StVxpm9TR91XZYHBKJ"
},
"credentialStatus": {
"id": "https://example.com/jsonld-status-list/tenants/19fa3524-2859-43e2-ac48-2136c9d8a199/w3c/status/0#81407",
"type": "BitstringStatusListEntry",
"statusPurpose": "revocation",
"statusListIndex": 81407,
"statusListCredential": "https://example.com/jsonld-status-list/tenants/19fa3524-2859-43e2-ac48-2136c9d8a199/w3c/status/0"
},
"proof": {
"type": "Ed25519Signature2020",
"proofPurpose": "assertionMethod",
"verificationMethod": "did:indy:indicio:test:JKdq87RF5kEsfv7b8BAdqs#assert",
"created": "2025-07-09T19:28:03.680Z",
"proofValue": "z2BjheUpL2P77hWdd1Snhw94vJzeuUoze5DTCjeHoAgYB2agA4dF1K4s3wdB2JCRS7yoXhGsk63xVBQw6aGnYV6H8"
},
"name": "New Awesome JSON-LD Credential",
"awardedDate": "2024-11-29T21:07:11Z",
"description": "Awesome Credential Description"
}
],
"presentation_exchange_id": [
"188aba4f-7fc9-4040-93fd-37530fa46027"
],
"error": "",
"created_at": "2025-07-09T19:30:24.271Z",
"updated_at": "2025-07-09T19:30:38.964Z"
}Last updated
Was this helpful?